PO4A-NORMALIZE.1P(1)

NOMBRE
po4a-normalize - Normaliza un archivo de documentación analizándolo con po4a, y vuelve a escribirlo

SINOPSIS
po4a-normalize -f formatoE original.doc

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en ámbitos dónde no previstos, como la documentación.

El script po4a-normalize es una herramienta de depuración usada para comprobar que po4a no cambia el documento cuando no debe. Sólo debe usarlo si está desarrollando un módulo nuevo, o si duda de la corrección de las herramientas.

El documento generado se escribirá en po4a-normalize.output mientras que el fichero POT generado se escribirá en po4a-normalize.po por omisión, pero usted puede usar las opciones --localized y --pot para cambiar esto.

OPCIONES

-o, --option
    Extra option(s) to pass to the format plugin. See the documentation of each plugin for more information about the valid options and their meanings. For example, you could pass '-o tablecells' to the AsciiDoc parser, while the text parser would accept '-o tabs=split'.

-b, --blank
    Crea un documento traducido en blanco. El documento traducido generado se procesará como si la traducción de todos los mensajes fuese un espacio o una línea nueva.

    Esto es de utilidad para revisar qué partes del documento no se pueden traducir.

-h, --help
    Muestra un mensaje corto de ayuda.

--help-format
    Lista los formatos de documentación reconocidos por po4a.

-f, --format
    El formato de la documentación que desea tratar. Use la opción --help-format para ver la lista de los formatos disponibles.

-M, --master-charset
    El juego de caracteres del fichero que contiene el documento a traducir.

-l, --localized
    Name of the normalized file to produce (po4a-normalize.output by default).

-p, --pot
    Pot file to produce (po4a-normalize.po by default).

-V, --version
    Muestra la versión del script y cierra.

VÉASE TAMBIÉN
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
Copyright 2002-2020 by SPI, inc.

Esto es software libre; puede redistribuirlo y/o modificarlo bajo las condiciones de la licencia GPL (consulte el fichero COPYING).